package crawler

import (
	"strconv"
)

type CrawlerName int

func (c CrawlerName) String() string {
	return strconv.Itoa(int(c))
}

const (
	ACTIVEDIRECTORY = CrawlerName(iota)
	DNS
	FTP
	FTPS
	IMAP
	LDAP
	MONGODB
	MSSQL
	MYSQL
	MARIADB
	PGSQL
	NETBIOS
	ORACLE
	POP3
	REDIS
	RMI
	SMB
	SMTP
	SNMPV2C
	SNMPV3
	SSH
	TELNET
	WMI
)
